| Home | Libraries | People | FAQ | More

## Class thread_resource_error

boost::thread_resource_error —

The thread_resource_error class defines an exception type that is thrown by constructors in the Boost.Threads library when thread-related resources can not be acquired.

## Synopsis

    class thread_resource_error : public std::runtime_error {
    public:
      // construct/copy/destruct
      thread_resource_error();
    };

## Description

thread_resource_error is used only when thread-related resources cannot be acquired; memory allocation failures are indicated by std::bad_alloc.

### `thread_resource_error` construct/copy/destruct

1.     thread_resource_error();

   Effects: Constructs a `thread_resource_error` object.

| Copyright © 2001-2003 William E. Kempf